iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapDrivingCalRouteSearchRequest Class Reference

驾车路径规划2.0 More...

`#include <AMapSearchObj.h>`

Inheritance diagram for AMapDrivingCalRouteSearchRequest:

## Properties
NSInteger | strategy
NSArray< AMapGeoPoint * > * | waypoints
| 途经点 AMapGeoPoint 数组，目前最多支持16个途经点
NSArray< AMapGeoPolygon * > * | avoidpolygons
| 避让区域 AMapGeoPolygon 数组，目前最多支持32个避让区域，每个区域16个点
NSString * | avoidroad
| 避让道路名
NSString * | originId
| 出发点 POI ID
NSString * | destinationId
| 目的地 POI ID
NSString * | origintype
| 出发点POI类型编码，此值可以辅助更精准的起点算路，0：普通道路、1：高架上、2：高架下、3：主路、4：辅路、5：隧道、7：环岛、9：停车场内部
NSString * | destinationtype
| 目的地POI类型编码
NSString * | plate
| 车牌信息，如京AHA322，支持6位传统车牌和7位新能源车牌，用于判断是否限行
NSInteger | ferry
| 使用轮渡,0使用1不使用,默认为0使用
NSInteger | cartype
AMapDrivingRouteShowFieldType | showFieldType
| 设置需要返回的扩展信息，默认为AMapDrivingRouteShowFieldTypeNone，只返回基础信息字段
Properties inherited from AMapRouteSearchBaseRequest
AMapGeoPoint * | origin
| 出发点
AMapGeoPoint * | destination
| 目的地

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

驾车路径规划2.0

## Property Documentation

## ◆ avoidpolygons

- (NSArray<AMapGeoPolygon *>*) avoidpolygons
| read write nonatomic copy

避让区域 AMapGeoPolygon 数组，目前最多支持32个避让区域，每个区域16个点

## ◆ avoidroad

- (NSString*) avoidroad
| read write nonatomic copy

避让道路名

## ◆ cartype

- (NSInteger) cartype
| read write nonatomic assign

驾车路径规划车辆类型，默认策略为0。 0：普通汽车(默认值); 1：纯电动车; 2：插电混动车

## ◆ destinationId

- (NSString*) destinationId
| read write nonatomic copy

目的地 POI ID

## ◆ destinationtype

- (NSString*) destinationtype
| read write nonatomic copy

目的地POI类型编码

## ◆ ferry

- (NSInteger) ferry
| read write nonatomic assign

使用轮渡,0使用1不使用,默认为0使用

## ◆ originId

- (NSString*) originId
| read write nonatomic copy

出发点 POI ID

## ◆ origintype

- (NSString*) origintype
| read write nonatomic copy

出发点POI类型编码，此值可以辅助更精准的起点算路，0：普通道路、1：高架上、2：高架下、3：主路、4：辅路、5：隧道、7：环岛、9：停车场内部

## ◆ plate

- (NSString*) plate
| read write nonatomic copy

车牌信息，如京AHA322，支持6位传统车牌和7位新能源车牌，用于判断是否限行

## ◆ showFieldType

- (AMapDrivingRouteShowFieldType) showFieldType
| read write nonatomic assign

设置需要返回的扩展信息，默认为AMapDrivingRouteShowFieldTypeNone，只返回基础信息字段

## ◆ strategy

- (NSInteger) strategy
| read write nonatomic assign

驾车导航策略，默认策略为32。 32：默认，高德推荐，同高德地图APP默认 33：躲避拥堵 34：高速优先 35：不走高速 36：少收费 37：大路优先 38：速度最快 39：躲避拥堵＋高速优先 40：躲避拥堵＋不走高速 41：躲避拥堵＋少收费 42：少收费＋不走高速 43：躲避拥堵＋少收费＋不走高速 44：躲避拥堵＋大路优先 45：躲避拥堵＋速度最快

## ◆ waypoints

- (NSArray<AMapGeoPoint *>*) waypoints
| read write nonatomic copy

途经点 AMapGeoPoint 数组，目前最多支持16个途经点

The documentation for this class was generated from the following file:

- AMapSearchObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。